# $Id: pkgIndex.tcl.in,v 1.6 2003/04/15 20:18:50 airwin Exp $

# Load PLplot tkwin extension

# This proc takes care of finding & loading the proper driver.

# The original version dealt with the possibility that either or both $dir and
# $file may contain spaces, or characters like []{}, but this hasn't been
# tested for this version.

proc load_pkg_Plplotter {dir} {
    global pllibrary tcl_platform auto_path
    #puts "loading Plplotter, dir: $dir"
    set pllibrary $dir

    if {$tcl_platform(platform) == "unix"} {
	set stem tkwin
	set searchdirs "driversd drivers"; # prefer double precision version
	set suf [info sharedlibextension]

	set file ""
	foreach reldir $searchdirs {
	    set driver [file join $dir $reldir $stem$suf]
	    #puts "looking for driver file: $driver"
	    if [file exists $driver] {
	        set file $driver
	        break
	    }
	    if { $file != "" } { break }
	}
	if { $file == "" } {
	# Dynamic driver location failed, now try static driver location.
	set stem libplplot
	set searchdirs ". ..";		# Need ".." for installed image
	set tags "d {}";		# prefer double precision version
	set ver 5.3.0
	set suf [info sharedlibextension].$ver

	set file ""
	foreach reldir $searchdirs {
	    foreach tag $tags {
		set driver [file join $dir $reldir $stem$tag$suf]
		#puts "looking for driver file: $driver"
		if [file exists $driver] {
		    set file $driver
		    break
		}
	    }
	    if { $file != "" } { break }
	}
	}
	if { $file == "" } {
	    error "load_pkg_Plplotter: could not find loadable driver"
	}

    } else {
    # This is probably broken, someone should fix it.
	if {[info exists tcl_platform(debug)]} {
	    set file [file join $dir plplot510d[info sharedlibextension]]
	} else {
	    set file [file join $dir plplot510[info sharedlibextension]]
	}
    }

    load $file Plplotter
# put core tcl scripts in path
    lappend auto_path $dir/tcl
    rename load_pkg_Plplotter {}
}

package ifneeded Plplotter 5 [list load_pkg_Plplotter $dir]

